# Block Storage Manage

Block Storage v3

## block storage volume manageable list

List manageable volumes.

Supported by –os-volume-api-version 3.8 or greater.

    openstack block storage volume manageable list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]
        [--marker <marker>]
        [--limit <limit>]
        [--offset <offset>]
        [--sort <key>[:<direction>]]
        [--cluster
        <cluster>
        |
        <host>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--cluster <cluster>

  Cinder cluster on which to list manageable volumes. Takes the form: cluster@backend-name#pool. (supported by –os-volume-api-version 3.17 or later)

--long

  List additional fields in output

--marker <marker>

  Begin returning volumes that appear later in the volume list than that represented by this reference. This reference should be json like. Default=None.

--limit <limit>

  Maximum number of volumes to return. Default=None.

--offset <offset>

  Number of volumes to skip after marker. Default=None.

--sort <key>[:<direction>]

  Comma-separated list of sort keys and directions in the form of <key>[:<asc|desc>]. Valid keys: size, reference. Default=None.

host

  Cinder host on which to list manageable volumes. Takes the form: host@backend-name#pool

## block storage snapshot manageable list

List manageable snapshots.

Supported by –os-volume-api-version 3.8 or greater.

    openstack block storage snapshot manageable list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]
        [--marker <marker>]
        [--limit <limit>]
        [--offset <offset>]
        [--sort <key>[:<direction>]]
        [--cluster
        <cluster>
        |
        <host>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--cluster <cluster>

  Cinder cluster on which to list manageable snapshots. Takes the form: cluster@backend-name#pool. (supported by –os-volume-api-version 3.17 or later)

--long

  List additional fields in output

--marker <marker>

  Begin returning snapshots that appear later in the snapshot list than that represented by this reference. This reference should be json like. Default=None.

--limit <limit>

  Maximum number of snapshots to return. Default=None.

--offset <offset>

  Number of snapshots to skip after marker. Default=None.

--sort <key>[:<direction>]

  Comma-separated list of sort keys and directions in the form of <key>[:<asc|desc>]. Valid keys: size, reference. Default=None.

host

  Cinder host on which to list manageable snapshots. Takes the form: host@backend-name#pool

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.